Skip to main content

Get All Maps

GET 

/v1/sandbox/:sandbox_id/map

Get all Maps for a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    maps

    object[]

    List of Maps

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    map_name Map Name (string)required

    Possible values: non-empty and <= 1024 characters

    The name of the map that will be loaded into

    mode Mode (string)

    Possible values: non-empty and <= 1024 characters

    An optional mode that will be loaded into

    misc_params Misc Params (string)

    Possible values: non-empty and <= 4096 characters

    Additional commandline parameters for the instance

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    map_id Map Id (integer)

    Default value: 0

    Old map id

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    map_id uuidrequired

    ID to uniquely identify this Map

  • ]

Loading...